Index: src/Actions/FragmentationAction/FragmentationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ src/Actions/FragmentationAction/FragmentationAction.cpp	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -25,5 +25,5 @@
 #include "Actions/MapOfActions.hpp"
 
-const char FragmentationFragmentationAction::NAME[] = "subspace-dissect";
+const char FragmentationFragmentationAction::NAME[] = "fragment-mol";
 
 FragmentationFragmentationAction::FragmentationFragmentationAction() :
@@ -36,8 +36,30 @@
 Action::state_ptr FragmentationFragmentationAction::performCall() {
   Dialog *dialog = UIFactory::getInstance().makeDialog();
+  clock_t start,end;
+  molecule *mol = NULL;
+  double distance = -1.;
+  int order = 0;
+  config *configuration = World::getInstance().getConfig();
+  int ExitFlag = 0;
 
-  dialog->queryEmpty(NAME, MapOfActions::getInstance().getDescription(NAME));
+  cout << "pre-dialog"<< endl;
+  dialog->queryMolecule(NAME, &mol, MapOfActions::getInstance().getDescription(NAME));
+  dialog->queryDouble("distance", &distance, MapOfActions::getInstance().getDescription("distance"));
+  dialog->queryInt("order", &order, MapOfActions::getInstance().getDescription("order"));
 
   if(dialog->display()) {
+    cout << "POST-dialog"<< endl;
+    ASSERT(mol != NULL, "No molecule has been picked for fragmentation.");
+    DoLog(0) && (Log() << Verbose(0) << "Fragmenting molecule with bond distance " << distance << " angstroem, order of " << order << "." << endl);
+    DoLog(0) && (Log() << Verbose(0) << "Creating connection matrix..." << endl);
+    start = clock();
+    mol->CreateAdjacencyList(distance, configuration->GetIsAngstroem(), &BondGraph::CovalentMinMaxDistance, NULL);
+    DoLog(0) && (Log() << Verbose(0) << "Fragmenting molecule with current connection matrix ..." << endl);
+    if (mol->hasBondStructure()) {
+      ExitFlag = mol->FragmentMolecule(order, configuration);
+    }
+    World::getInstance().setExitFlag(ExitFlag);
+    end = clock();
+    DoLog(0) && (Log() << Verbose(0) << "Clocks for this operation: " << (end-start) << ", time: " << ((double)(end-start)/CLOCKS_PER_SEC) << "s." << endl);
     delete dialog;
     return Action::success;
Index: src/Actions/MapOfActions.cpp
===================================================================
--- src/Actions/MapOfActions.cpp	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ src/Actions/MapOfActions.cpp	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -120,4 +120,5 @@
   DescriptionMap["MaxDistance"] = "maximum distance in space";
   DescriptionMap["molecule-by-id"] = "index of a molecule";
+  DescriptionMap["order"] = "order of a discretization, dissection, ...";
   DescriptionMap["output-file"] = "name of the output file";
   DescriptionMap["periodic"] = "system is constraint to periodic boundary conditions (y/n)";
@@ -216,4 +217,5 @@
   TypeMap["MaxDistance"] = Double;
   TypeMap["molecule-by-id"] = Molecule;
+  TypeMap["order"] = Integer;
   TypeMap["output-file"] = String;
   TypeMap["periodic"] = Boolean;
@@ -241,5 +243,5 @@
 //	generic.insert("fastparsing");
   generic.insert("fill-molecule");
-//  generic.insert("fragment-mol");
+  generic.insert("fragment-mol");
   generic.insert("help");
 //	generic.insert("linear-interpolate");
@@ -285,10 +287,11 @@
 
     // hidden arguments
-//  generic.insert("distance");
-    generic.insert("DoRotate");
-    generic.insert("distances");
-    generic.insert("lengths");
-    generic.insert("MaxDistance");
-    generic.insert("molecule-by-id");
+  generic.insert("distance");
+  generic.insert("DoRotate");
+  generic.insert("distances");
+  generic.insert("lengths");
+  generic.insert("MaxDistance");
+  generic.insert("molecule-by-id");
+  generic.insert("order");
 }
 
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -26,4 +26,5 @@
 #include "Actions/FragmentationAction/DepthFirstSearchAction.hpp"
 #include "Actions/FragmentationAction/SubgraphDissectionAction.hpp"
+#include "Actions/FragmentationAction/FragmentationAction.hpp"
 #include "Actions/MoleculeAction/BondFileAction.hpp"
 #include "Actions/MoleculeAction/ChangeNameAction.hpp"
@@ -119,4 +120,6 @@
 {
   new FragmentationDepthFirstSearchAction();
+  new FragmentationFragmentationAction();
+  new FragmentationSubgraphDissectionAction();
 }
 
Index: src/World.cpp
===================================================================
--- src/World.cpp	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ src/World.cpp	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -96,4 +96,12 @@
 };
 
+int World::getExitFlag() {
+  return ExitFlag;
+}
+
+void World::setExitFlag(int flag) {
+  if (ExitFlag < flag)
+    ExitFlag = flag;
+}
 
 /******************** Methods to change World state *********************/
@@ -279,4 +287,5 @@
     periode(new periodentafel),
     configuration(new config),
+    ExitFlag(0),
     atoms(),
     currAtomId(0),
Index: src/World.hpp
===================================================================
--- src/World.hpp	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ src/World.hpp	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -142,4 +142,14 @@
   void setDefaultName(char * name);
 
+  /*
+   * get the ExitFlag
+   */
+  int getExitFlag();
+
+  /*
+   * set the ExitFlag
+   */
+  void setExitFlag(int flag);
+
   /***** Methods to work with the World *****/
 
@@ -244,4 +254,5 @@
   static double *cell_size;
   static char *defaultName;
+  int ExitFlag;
 public:
   AtomSet atoms;
Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ src/builder.cpp	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -2237,20 +2237,16 @@
             case 'f':
               if (ExitFlag == 0) ExitFlag = 1;
-              if ((argptr+1 >= argc) || (argv[argptr][0] == '-') || (!IsValidNumber(argv[argptr])) || (!IsValidNumber(argv[argptr+1]))) {
+              if ((argptr+1 >= argc) || (argv[argptr][0] == '-')) {
                 ExitFlag = 255;
                 DoeLog(0) && (eLog()<< Verbose(0) << "Not enough or invalid arguments for fragmentation: -f <max. bond distance> <bond order>" << endl);
                 performCriticalExit();
               } else {
-                DoLog(0) && (Log() << Verbose(0) << "Fragmenting molecule with bond distance " << argv[argptr] << " angstroem, order of " << argv[argptr+1] << "." << endl);
-                DoLog(0) && (Log() << Verbose(0) << "Creating connection matrix..." << endl);
-                start = clock();
-                mol->CreateAdjacencyList(atof(argv[argptr]), configuration.GetIsAngstroem(), &BondGraph::CovalentMinMaxDistance, NULL);
-                DoLog(0) && (Log() << Verbose(0) << "Fragmenting molecule with current connection matrix ..." << endl);
-                if (mol->hasBondStructure()) {
-                  ExitFlag = mol->FragmentMolecule(atoi(argv[argptr+1]), &configuration);
-                }
-                end = clock();
-                DoLog(0) && (Log() << Verbose(0) << "Clocks for this operation: " << (end-start) << ", time: " << ((double)(end-start)/CLOCKS_PER_SEC) << "s." << endl);
-                argptr+=2;
+                ArgcList.insert(argptr-1);
+                ArgcList.insert(argptr);
+                ArgcList.insert(argptr+1);
+                ArgcList.insert(argptr+2);
+                ArgcList.insert(argptr+3);
+                ArgcList.insert(argptr+4);
+                argptr+=5;
               }
               break;
@@ -2409,4 +2405,5 @@
       // handle arguments by ParseCommandLineOptions()
       ExitFlag = ParseCommandLineOptions(argc,argv,World::getInstance().getMolecules(),World::getInstance().getPeriode(),*World::getInstance().getConfig(), &ConfigFileName, ArgcList);
+      World::getInstance().setExitFlag(ExitFlag);
       // copy all remaining arguments to a new argv
       Arguments = new char *[ArgcList.size()];
@@ -2449,4 +2446,5 @@
   delete[](ConfigFileName);
 
+  ExitFlag = World::getInstance().getExitFlag();
   return (ExitFlag == 1 ? 0 : ExitFlag);
 }
Index: sts/regression/Fragmentation/3/pre/BondFragment0.conf
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment0.conf	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,77 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified/BondFragment0/	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	4	# check every ..th steps
-MaxMinGapStopStep	1	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	4	# check every ..th steps
-InitMaxMinGapStopStep	1	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-6.77993	
-0	6.25865	
-0	0	6.78	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	4	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	4	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	4	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	2	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	4	1	1.0	3	3	1.00800000000	Hydrogen	H
-Ion_Type2	1	6	1.0	3	3	12.01100000000	Carbon	C
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type2_1	3.389977412	3.129299990	3.389999987	0 # molecule nr 0
-Ion_Type1_1	3.389977412	2.500000000	2.500000000	0 # molecule nr 1
-Ion_Type1_2	3.389977412	2.500000000	4.279999974	0 # molecule nr 2
-Ion_Type1_3	2.500000000	3.758617244	3.389999987	0 # molecule nr 3
-Ion_Type1_4	4.279931075	3.758650828	3.389999987	0 # molecule nr 4
Index: sts/regression/Fragmentation/3/pre/BondFragment0.conf.xyz
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment0.conf.xyz	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	9.78209	3.27519	3.53589	
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	8.89211	3.9045	3.53589	
-H	10.672	3.90454	3.53589	
Index: sts/regression/Fragmentation/3/pre/BondFragment1.conf
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment1.conf	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,77 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified/BondFragment1/	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	4	# check every ..th steps
-MaxMinGapStopStep	1	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	4	# check every ..th steps
-InitMaxMinGapStopStep	1	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-6.77993	
-0	6.25865	
-0	0	6.78	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	4	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	4	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	4	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	2	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	4	1	1.0	3	3	1.00800000000	Hydrogen	H
-Ion_Type2	1	6	1.0	3	3	12.01100000000	Carbon	C
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type2_1	3.389953663	3.129350838	3.389999987	0 # molecule nr 0
-Ion_Type1_1	2.500000000	2.500000000	3.389999987	0 # molecule nr 1
-Ion_Type1_2	3.389953663	3.758650829	2.500000000	0 # molecule nr 2
-Ion_Type1_3	3.389953663	3.758650829	4.279999974	0 # molecule nr 3
-Ion_Type1_4	4.279931075	2.500033584	3.389999987	0 # molecule nr 4
Index: sts/regression/Fragmentation/3/pre/BondFragment1.conf.xyz
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment1.conf.xyz	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	8.53279	4.15859	3.53589	
-H	7.64283	3.52924	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	9.42276	3.52927	3.53589	
Index: sts/regression/Fragmentation/3/pre/BondFragment2.conf
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment2.conf	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,77 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified/BondFragment2/	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	4	# check every ..th steps
-MaxMinGapStopStep	1	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	4	# check every ..th steps
-InitMaxMinGapStopStep	1	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-6.77991	
-0	6.25865	
-0	0	6.78	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	4	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	4	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	4	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	2	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	4	1	1.0	3	3	1.00800000000	Hydrogen	H
-Ion_Type2	1	6	1.0	3	3	12.01100000000	Carbon	C
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type2_1	3.389953664	3.129299990	3.389999987	0 # molecule nr 0
-Ion_Type1_1	4.279907327	3.758650828	3.389999987	0 # molecule nr 1
-Ion_Type1_2	2.500000000	3.758650827	3.389999987	0 # molecule nr 2
-Ion_Type1_3	3.389953664	2.500000000	2.500000000	0 # molecule nr 3
-Ion_Type1_4	3.389953664	2.500000000	4.279999974	0 # molecule nr 4
Index: sts/regression/Fragmentation/3/pre/BondFragment2.conf.xyz
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment2.conf.xyz	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	7.28359	3.27519	3.53589	
-H	8.17354	3.90454	3.53589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
Index: sts/regression/Fragmentation/3/pre/BondFragment3.conf
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment3.conf	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,80 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified/BondFragment3/	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	7	# check every ..th steps
-MaxMinGapStopStep	1	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	7	# check every ..th steps
-InitMaxMinGapStopStep	1	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-8.02921	
-0	7.142	
-0	0	6.78	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	7	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	7	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	7	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	2	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	6	1	1.0	3	3	1.00800000000	Hydrogen	H
-Ion_Type2	2	6	1.0	3	3	12.01100000000	Carbon	C
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type2_1	4.639253645	3.129299990	3.389999987	0 # molecule nr 0
-Ion_Type2_2	3.389953663	4.012699977	3.389999987	0 # molecule nr 1
-Ion_Type1_1	4.639253645	2.500000000	2.500000000	0 # molecule nr 2
-Ion_Type1_2	4.639253645	2.500000000	4.279999974	0 # molecule nr 3
-Ion_Type1_3	5.529207308	3.758650828	3.389999987	0 # molecule nr 4
-Ion_Type1_4	2.500000000	3.383349139	3.389999987	0 # molecule nr 5
-Ion_Type1_5	3.389953663	4.641999968	2.500000000	0 # molecule nr 6
-Ion_Type1_6	3.389953663	4.641999968	4.279999974	0 # molecule nr 7
Index: sts/regression/Fragmentation/3/pre/BondFragment3.conf.xyz
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment3.conf.xyz	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,10 +1,0 @@
-8
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	7.64283	3.52924	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
Index: sts/regression/Fragmentation/3/pre/BondFragment4.conf
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment4.conf	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,80 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified/BondFragment4/	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	7	# check every ..th steps
-MaxMinGapStopStep	1	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	7	# check every ..th steps
-InitMaxMinGapStopStep	1	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-8.02913	
-0	7.142	
-0	0	6.78	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	7	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	7	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	7	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	2	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	6	1	1.0	3	3	1.00800000000	Hydrogen	H
-Ion_Type2	2	6	1.0	3	3	12.01100000000	Carbon	C
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type2_1	4.639153645	4.012699977	3.389999987	0 # molecule nr 0
-Ion_Type2_2	3.389953664	3.129299990	3.389999987	0 # molecule nr 1
-Ion_Type1_1	4.639153645	4.641999968	2.500000000	0 # molecule nr 2
-Ion_Type1_2	4.639153645	4.641999968	4.279999974	0 # molecule nr 3
-Ion_Type1_3	5.529131057	3.383382723	3.389999987	0 # molecule nr 4
-Ion_Type1_4	2.500000000	3.758650827	3.389999987	0 # molecule nr 5
-Ion_Type1_5	3.389953664	2.500000000	2.500000000	0 # molecule nr 6
-Ion_Type1_6	3.389953664	2.500000000	4.279999974	0 # molecule nr 7
Index: sts/regression/Fragmentation/3/pre/BondFragment4.conf.xyz
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragment4.conf.xyz	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,10 +1,0 @@
-8
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	9.42276	3.52927	3.53589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
Index: sts/regression/Fragmentation/3/pre/BondFragmentAdjacency.dat
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragmentAdjacency.dat	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,11 +1,0 @@
-0	3	4	1	5	
-1	2	6	7	0	
-2	1	8	9	10	
-3	0	
-4	0	
-5	0	
-6	1	
-7	1	
-8	2	
-9	2	
-10	2	
Index: sts/regression/Fragmentation/3/pre/BondFragmentForces-Factors.dat
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragmentForces-Factors.dat	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,5 +1,0 @@
-0	1	-1	2	8	
--1	3	4	-1	9	
--1	5	6	7	10	
-0	1	2	-1	3	4	8	9	
-3	4	-1	5	6	7	9	10	
Index: sts/regression/Fragmentation/3/pre/BondFragmentKeySets.dat
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragmentKeySets.dat	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,5 +1,0 @@
-0
-1
-2
-0	1
-1	2
Index: sts/regression/Fragmentation/3/pre/BondFragmentOrderAtSite.dat
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragmentOrderAtSite.dat	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,11 +1,0 @@
-0	2	0
-1	2	0
-2	2	1
-3	0	0
-4	0	0
-5	0	0
-6	0	0
-7	0	0
-8	0	0
-9	0	0
-10	0	0
Index: sts/regression/Fragmentation/3/pre/BondFragmentTE-Factors.dat
===================================================================
--- tests/regression/Fragmentation/3/pre/BondFragmentTE-Factors.dat	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ 	(revision )
@@ -1,5 +1,0 @@
-1
-1
-1
-1
-1
Index: tests/regression/testsuite-fragmentation.at
===================================================================
--- tests/regression/testsuite-fragmentation.at	(revision 48ab70ab46459550f30b5526d868ebaef5b918e5)
+++ tests/regression/testsuite-fragmentation.at	(revision e4b5de3092d7deccd5df82703dcd50757372d70a)
@@ -12,5 +12,5 @@
 AT_SETUP([Fragmentation - Fragmentation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/2/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 0 --distance 1.55 --order 2], 0, [ignore], [ignore])
 AT_CHECK([ls -l BondFragment*.conf | wc -l], 0, [5
 ], [ignore])
@@ -19,6 +19,6 @@
 # 3. check whether parsing of BondFragment files and re-rwriting config files is working (exit code is 2 as we don't need to continue wrt to ...OrderAtSite)
 AT_SETUP([Fragmentation - Fragmentation is at MaxOrder])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/3/pre/* .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 2, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/3/pre/test.conf .], 0)
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 0 --distance 1.55 --order 2], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 0 --distance 1.55 --order 2], 2, [ignore], [ignore])
 AT_CLEANUP
